Unified Catalog Entity Details¶
POST /api/v1/unified_catalog/entity/get
Overview¶
Get the details of a single Unified Catalog entity.
Body Request Parameters¶
| Parameter | Type | Required | Description |
|---|---|---|---|
| urn | string | Y | Entity URN Allow empty: False Example: urn:mysql:default:demo |
Additional Parameter Notes¶
Request Parameter Description
| Parameter | type | Required | Description |
|---|---|---|---|
| urn | string | Yes | The unique URN of the target entity |
Response Description
- Returns the entity basic information,
attributes,teamInfo, andtagsInfo. systemRelationInfois a list of one-hop direct system relations for the current entity.- Always returns
healthConfig/healthEnabled/healthScore/healthStatus/healthUpdateAt; all types are always returned according to the valid configuration, regardless of the backend readiness cleanup progress.
Usage Notes
systemRelationInfois not expanded recursively; only direct relations are returned.- The
attributesin the entity summaries at both ends of the relation insystemRelationInfoare returned in full.
Example Request¶
curl 'https://openapi.truewatch.com/api/v1/unified_catalog/entity/get' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"urn":"urn:mysql:default:demo"}'
Response¶
{
"code": 200,
"content": {
"urn": "urn:mysql:default:demo",
"entityType": "database",
"name": "demo",
"attributes": {
"project": "demo",
"env": "prod"
},
"healthConfig": {},
"healthEnabled": false,
"healthScore": null,
"healthStatus": "unknown",
"healthUpdateAt": null,
"teamInfo": [],
"tagsInfo": [],
"systemRelationInfo": []
},
"errorCode": "",
"message": "",
"success": true,
"traceId": "TRACE-XXXX"
}